Skip to content
Permalink
Browse files

Drop oauth2client as a submodule.

Previously, we'd kept `oauth2client` as a submodule, so that we could easily
track changes at HEAD. Going forward, we won't need to do this, so we switch
to having an explicit dependency in `setup.py`.
  • Loading branch information...
craigcitro committed Oct 9, 2014
1 parent 751b7fb commit 28467c87c3c9bd8956f1090f3e2fa20461691d1c
Showing with 3 additions and 9 deletions.
  1. +0 −3 .gitmodules
  2. +0 −1 oauth2client
  3. +3 −5 setup.py
@@ -1,3 +0,0 @@
[submodule "oauth2client"]
path = oauth2client
url = https://github.com/google/oauth2client.git
Submodule oauth2client deleted from ff7463
@@ -22,18 +22,19 @@
import sys

if sys.version_info <= (2, 6):
print('oauth2client requires python version >= 2.6.', file=sys.stderr)
print('google-api-python-client requires python version >= 2.6.',
file=sys.stderr)
sys.exit(1)

from setuptools import setup

packages = [
'googleapiclient',
'oauth2client',
]

install_requires = [
'httplib2>=0.8',
'oauth2client>=1.3',
'uritemplate>=0.6',
]

@@ -63,7 +64,4 @@
'Operating System :: POSIX',
'Topic :: Internet :: WWW/HTTP',
],
package_dir={
'oauth2client':'oauth2client/oauth2client',
},
)

0 comments on commit 28467c8

Please sign in to comment.
You can’t perform that action at this time.